package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformDemandVideo {
    private Long id;

    private String dt;

    private String onlineAction;

    private String channelName;

    private String crowdSegment;

    private String channelLevel3;

    private String demandId;

    private String crowdPackage;

    private String conversionTarget;

    private String partner;

    private String account;

    private String sceneValue;

    private String demandStrategy;

    private String driveDimensionTime;

    private String dimension;

    private String demandFilterSortStrategy;

    private String demandType;

    private String demandContentId;

    private String demandContentTitle;

    private String demandContentTopic;

    private String pointType;

    private String standardElement;

    private String matchGeneralizedElement;

    private String matchGeneralizedPointType;

    private String elementDimension;

    private String categoryName;

    private Integer crowdCount;

    private Integer videoCount;

    private Long visitUv;

    private Double uvRatio;

    private Double totalRov;

    private String matchExperimentId;

    private String matchMethod;

    private String matchVideoFilter;

    private String matchSort;

    private Long videoId;

    private String configCode;

    private Double score;

    private Double sim;

    private Double rov;

    private String matchText;

    private String title;

    private String cover;

    private String video;

    private String experimentId;

    private Double sceneSumRov;

    private Integer status;

    private Long createTimestamp;

    private Long updateTimestamp;

    private String category;

    private Long matchExposurePv;

    private Double matchHeadSingleReturnRate;

    private Double matchHeadDistributionSingleReturnRate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDt() {
        return dt;
    }

    public void setDt(String dt) {
        this.dt = dt;
    }

    public String getOnlineAction() {
        return onlineAction;
    }

    public void setOnlineAction(String onlineAction) {
        this.onlineAction = onlineAction;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getCrowdSegment() {
        return crowdSegment;
    }

    public void setCrowdSegment(String crowdSegment) {
        this.crowdSegment = crowdSegment;
    }

    public String getChannelLevel3() {
        return channelLevel3;
    }

    public void setChannelLevel3(String channelLevel3) {
        this.channelLevel3 = channelLevel3;
    }

    public String getDemandId() {
        return demandId;
    }

    public void setDemandId(String demandId) {
        this.demandId = demandId;
    }

    public String getCrowdPackage() {
        return crowdPackage;
    }

    public void setCrowdPackage(String crowdPackage) {
        this.crowdPackage = crowdPackage;
    }

    public String getConversionTarget() {
        return conversionTarget;
    }

    public void setConversionTarget(String conversionTarget) {
        this.conversionTarget = conversionTarget;
    }

    public String getPartner() {
        return partner;
    }

    public void setPartner(String partner) {
        this.partner = partner;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getSceneValue() {
        return sceneValue;
    }

    public void setSceneValue(String sceneValue) {
        this.sceneValue = sceneValue;
    }

    public String getDemandStrategy() {
        return demandStrategy;
    }

    public void setDemandStrategy(String demandStrategy) {
        this.demandStrategy = demandStrategy;
    }

    public String getDriveDimensionTime() {
        return driveDimensionTime;
    }

    public void setDriveDimensionTime(String driveDimensionTime) {
        this.driveDimensionTime = driveDimensionTime;
    }

    public String getDimension() {
        return dimension;
    }

    public void setDimension(String dimension) {
        this.dimension = dimension;
    }

    public String getDemandFilterSortStrategy() {
        return demandFilterSortStrategy;
    }

    public void setDemandFilterSortStrategy(String demandFilterSortStrategy) {
        this.demandFilterSortStrategy = demandFilterSortStrategy;
    }

    public String getDemandType() {
        return demandType;
    }

    public void setDemandType(String demandType) {
        this.demandType = demandType;
    }

    public String getDemandContentId() {
        return demandContentId;
    }

    public void setDemandContentId(String demandContentId) {
        this.demandContentId = demandContentId;
    }

    public String getDemandContentTitle() {
        return demandContentTitle;
    }

    public void setDemandContentTitle(String demandContentTitle) {
        this.demandContentTitle = demandContentTitle;
    }

    public String getDemandContentTopic() {
        return demandContentTopic;
    }

    public void setDemandContentTopic(String demandContentTopic) {
        this.demandContentTopic = demandContentTopic;
    }

    public String getPointType() {
        return pointType;
    }

    public void setPointType(String pointType) {
        this.pointType = pointType;
    }

    public String getStandardElement() {
        return standardElement;
    }

    public void setStandardElement(String standardElement) {
        this.standardElement = standardElement;
    }

    public String getMatchGeneralizedElement() {
        return matchGeneralizedElement;
    }

    public void setMatchGeneralizedElement(String matchGeneralizedElement) {
        this.matchGeneralizedElement = matchGeneralizedElement;
    }

    public String getMatchGeneralizedPointType() {
        return matchGeneralizedPointType;
    }

    public void setMatchGeneralizedPointType(String matchGeneralizedPointType) {
        this.matchGeneralizedPointType = matchGeneralizedPointType;
    }

    public String getElementDimension() {
        return elementDimension;
    }

    public void setElementDimension(String elementDimension) {
        this.elementDimension = elementDimension;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public Integer getCrowdCount() {
        return crowdCount;
    }

    public void setCrowdCount(Integer crowdCount) {
        this.crowdCount = crowdCount;
    }

    public Integer getVideoCount() {
        return videoCount;
    }

    public void setVideoCount(Integer videoCount) {
        this.videoCount = videoCount;
    }

    public Long getVisitUv() {
        return visitUv;
    }

    public void setVisitUv(Long visitUv) {
        this.visitUv = visitUv;
    }

    public Double getUvRatio() {
        return uvRatio;
    }

    public void setUvRatio(Double uvRatio) {
        this.uvRatio = uvRatio;
    }

    public Double getTotalRov() {
        return totalRov;
    }

    public void setTotalRov(Double totalRov) {
        this.totalRov = totalRov;
    }

    public String getMatchExperimentId() {
        return matchExperimentId;
    }

    public void setMatchExperimentId(String matchExperimentId) {
        this.matchExperimentId = matchExperimentId;
    }

    public String getMatchMethod() {
        return matchMethod;
    }

    public void setMatchMethod(String matchMethod) {
        this.matchMethod = matchMethod;
    }

    public String getMatchVideoFilter() {
        return matchVideoFilter;
    }

    public void setMatchVideoFilter(String matchVideoFilter) {
        this.matchVideoFilter = matchVideoFilter;
    }

    public String getMatchSort() {
        return matchSort;
    }

    public void setMatchSort(String matchSort) {
        this.matchSort = matchSort;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getConfigCode() {
        return configCode;
    }

    public void setConfigCode(String configCode) {
        this.configCode = configCode;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getSim() {
        return sim;
    }

    public void setSim(Double sim) {
        this.sim = sim;
    }

    public Double getRov() {
        return rov;
    }

    public void setRov(Double rov) {
        this.rov = rov;
    }

    public String getMatchText() {
        return matchText;
    }

    public void setMatchText(String matchText) {
        this.matchText = matchText;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getExperimentId() {
        return experimentId;
    }

    public void setExperimentId(String experimentId) {
        this.experimentId = experimentId;
    }

    public Double getSceneSumRov() {
        return sceneSumRov;
    }

    public void setSceneSumRov(Double sceneSumRov) {
        this.sceneSumRov = sceneSumRov;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Long getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Long updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Long getMatchExposurePv() {
        return matchExposurePv;
    }

    public void setMatchExposurePv(Long matchExposurePv) {
        this.matchExposurePv = matchExposurePv;
    }

    public Double getMatchHeadSingleReturnRate() {
        return matchHeadSingleReturnRate;
    }

    public void setMatchHeadSingleReturnRate(Double matchHeadSingleReturnRate) {
        this.matchHeadSingleReturnRate = matchHeadSingleReturnRate;
    }

    public Double getMatchHeadDistributionSingleReturnRate() {
        return matchHeadDistributionSingleReturnRate;
    }

    public void setMatchHeadDistributionSingleReturnRate(Double matchHeadDistributionSingleReturnRate) {
        this.matchHeadDistributionSingleReturnRate = matchHeadDistributionSingleReturnRate;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", dt=").append(dt);
        sb.append(", onlineAction=").append(onlineAction);
        sb.append(", channelName=").append(channelName);
        sb.append(", crowdSegment=").append(crowdSegment);
        sb.append(", channelLevel3=").append(channelLevel3);
        sb.append(", demandId=").append(demandId);
        sb.append(", crowdPackage=").append(crowdPackage);
        sb.append(", conversionTarget=").append(conversionTarget);
        sb.append(", partner=").append(partner);
        sb.append(", account=").append(account);
        sb.append(", sceneValue=").append(sceneValue);
        sb.append(", demandStrategy=").append(demandStrategy);
        sb.append(", driveDimensionTime=").append(driveDimensionTime);
        sb.append(", dimension=").append(dimension);
        sb.append(", demandFilterSortStrategy=").append(demandFilterSortStrategy);
        sb.append(", demandType=").append(demandType);
        sb.append(", demandContentId=").append(demandContentId);
        sb.append(", demandContentTitle=").append(demandContentTitle);
        sb.append(", demandContentTopic=").append(demandContentTopic);
        sb.append(", pointType=").append(pointType);
        sb.append(", standardElement=").append(standardElement);
        sb.append(", matchGeneralizedElement=").append(matchGeneralizedElement);
        sb.append(", matchGeneralizedPointType=").append(matchGeneralizedPointType);
        sb.append(", elementDimension=").append(elementDimension);
        sb.append(", categoryName=").append(categoryName);
        sb.append(", crowdCount=").append(crowdCount);
        sb.append(", videoCount=").append(videoCount);
        sb.append(", visitUv=").append(visitUv);
        sb.append(", uvRatio=").append(uvRatio);
        sb.append(", totalRov=").append(totalRov);
        sb.append(", matchExperimentId=").append(matchExperimentId);
        sb.append(", matchMethod=").append(matchMethod);
        sb.append(", matchVideoFilter=").append(matchVideoFilter);
        sb.append(", matchSort=").append(matchSort);
        sb.append(", videoId=").append(videoId);
        sb.append(", configCode=").append(configCode);
        sb.append(", score=").append(score);
        sb.append(", sim=").append(sim);
        sb.append(", rov=").append(rov);
        sb.append(", matchText=").append(matchText);
        sb.append(", title=").append(title);
        sb.append(", cover=").append(cover);
        sb.append(", video=").append(video);
        sb.append(", experimentId=").append(experimentId);
        sb.append(", sceneSumRov=").append(sceneSumRov);
        sb.append(", status=").append(status);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", updateTimestamp=").append(updateTimestamp);
        sb.append(", category=").append(category);
        sb.append(", matchExposurePv=").append(matchExposurePv);
        sb.append(", matchHeadSingleReturnRate=").append(matchHeadSingleReturnRate);
        sb.append(", matchHeadDistributionSingleReturnRate=").append(matchHeadDistributionSingleReturnRate);
        sb.append("]");
        return sb.toString();
    }
}